Bug 660244 - lpfc: Set heartbeat timer off by default [rhel-6.0.z]
Summary: lpfc: Set heartbeat timer off by default [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 655935
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 08:35 UTC by RHEL Product and Program Management
Modified: 2011-02-08 15:20 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.32-71.12.1.el6
Doc Type: Bug Fix
Doc Text:
Updated partner qualification injecting controller faults uncovered a flaw where Fibre Channel ports would go offline while testing with Emulex LPFC controllers due to a faulty LPFC heartbeat functionality. This update changes the default behavior of the LPFC heartbeat to off.
Clone Of:
Environment:
Last Closed: 2011-01-11 19:47:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description RHEL Product and Program Management 2010-12-06 08:35:15 UTC
This bug has been copied from bug #655935 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Frantisek Hrbata 2010-12-08 05:26:39 UTC
in 2.6.32-71.12.1.el6

Comment 5 Zhang Kexin 2010-12-17 01:23:15 UTC
Hi Andrius,

Could you please ask proper partner to test this bug for us?
the kernels are here:
http://people.redhat.com/kzhang/kernel-firmware-2.6.32-71.13.1.el6.noarch.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.i686.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.x86_64.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.ppc64.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.s390x.rpm

Security team said that there is no embargo bug in this erratum, so should be
ok to give partner to test. the erratum GA date is 2011-01-06, but the earlier
we get test result, the better.

thanks a lot!

Comment 6 Andrius Benokraitis 2010-12-17 15:08:03 UTC
Emulex - the following needs to be tested ASAP - please see test kernels listed above.

Comment 9 errata-xmlrpc 2011-01-11 19:47:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 10 Martin Prpič 2011-01-12 12:55:45 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Updated partner qualification injecting controller faults uncovered a flaw where Fibre Channel ports would go offline while testing with Emulex LPFC controllers due to a faulty LPFC heartbeat functionality. This update changes the default behavior of the LPFC heartbeat to off.


Note You need to log in before you can comment on or make changes to this bug.